Skip to main content
GET
/
v1
/
cards
/
{id}
Get card
curl --request GET \
  --url https://api.platnova.com/v1/cards/{id} \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.platnova.com/v1/cards/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.platnova.com/v1/cards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": true,
  "data": {
    "id": "18ee492a-617c-4878-958a-2ee08dc20ff4",
    "amount": "1904",
    "created_at": "2025-07-22T14:23:40.634516+01:00",
    "currency": "ngn",
    "info": {
      "provider_id": "1234567890",
      "provider": 4,
      "pan": "",
      "masked_pan": "489928******2417",
      "last4": "2417",
      "city": "New York",
      "state": "NY",
      "address": "123 Main St",
      "zip_code": "10001",
      "cvv": "",
      "expiry_month": "01",
      "expiry_year": "2026",
      "brand": "mastercard",
      "type": "virtual",
      "name_on_card": "John Doe",
      "colors": null,
      "label": "General",
      "control": {
        "limits": null,
        "channels": null
      },
      "account_provider_id": ""
    },
    "status": "active",
    "notes": "",
    "title": "General"
  },
  "error": [],
  "message": "operation was successful"
}
{
"status": false,
"data": {},
"error": [],
"message": "card not found"
}

Overview

Retrieve detailed information about a specific card by its ID. This endpoint returns comprehensive card details including balance, status, card information, and metadata.

Authorizations

X-API-KEY
string
header
required

API key for authentication.

Path Parameters

id
integer
required

Response

200 - Success

status
boolean
data
object
error
any[]
message
string